Page MenuHomePhabricator

Allocate resources for the migration and maintenance
Closed, ResolvedPublic

Description

We need to estimate the effort of the migration, and we need to allocate the resources needed to do it.

We also need to have a maintenance plan in place.

Details

Reference
fl41

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl41.

robla wrote on 2014-04-18 20:38:25 (UTC)

I think we can make a directional decision of whether or not we should move to Phabricator independently of what the exact timeline/implementation plan is. This process has enough WMF management support such that resourcing will likely happen one way or another. I admittedly don't have an exact idea about how to resource it, but I suspect at least one of my upcoming hires will be involved, and I have requested contractor budget for FY2014-15 for some outside help should we need that.

Regarding maintenance, this will hopefully be a net gain in maintainability. We have a modest amount of experience as an organization running and developing PHP applications. We no longer would need to support our existing Perl and Java applications. Yes, there will be a learning curve for the new tool, but this doesn't seem like an ongoing scope increase over our existing toolset.

qgil wrote on 2014-04-24 01:12:55 (UTC)

Rob, Erik, and the rest of WMF Engineering management clearly agree that the migration to Phabricator can only happen with a proper plan in place that includes the migration and regular maintenance.

The RfC can proceed without having the details of the plan right now.

qgil wrote on 2014-05-15 17:42:43 (UTC)

The resourcing plan is not a blocker for Day 1 anymore. We have a team that should be able to bring us there. The same goes for the Code Review migration that will follow to Day 1. When it comes to maintenance, as Rob says the move should bring a net gain compared to the current situation and we have the skills required in-house.

We might need a little budget for exceptional one-off tasks, we will deal with these situations if/when they come.

Resolving.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:21 AM